<template lang='pug'>
mixin prop(name)
  li #[strong.text-info= name+': ']
    block

Example(title='RFMergerFilesView' :maxState="0")
  template(v-slot:description)
    h5 This is a RFM Files View Widget example (#[code MERGER/Current/Files] on #[code ntofdaq-m12.cern.ch])
    p Click on #[em code] to view and modify its code.

  template(v-slot:interface)
    div #[strong Properties:]
      ul
        +prop("proxy") the dim proxy (localhost by default)
        +prop("dns") the dim dns
        +prop("runNumber") list files of a specific run number via DimRpc service MERGER/Files.
        | If not provided, it will show information about current run via MERGER/Current/Files
        +prop("inEdit") enable edit mode (ignore files)
        +prop("showControls") enable/disable pagination controls
        +prop("showIgnoredField") enable/disable Ignored column
        +prop("initialSort") initial sorting field
        +prop("initialSortDir") initial sorting direction
        +prop("initialPageSize") initial page size

    div #[strong Data:]
      ul
        +prop("files") the list of files objects (the page only)
        +prop("stats") statistics about file statuses

    div #[strong Methods:]
      ul
        +prop("changePage(nPage)") go to nPage
        +prop("setSorting(field)") set sorting for a specific field

    div #[strong Signals:]
      ul
        +prop("update-stats)") emitted every time there are new updates on the file stats

    div #[strong Slots:] None

  template(v-slot:code)
    template(v-pre).
      RFMergerFilesView(dns='ntofdaq-m12.cern.ch')
</template>
<script>

import Example from "./AppExample.vue";

export default {
  name: "ExampleRFMFilesView",
  components: { Example }
};

</script>
